Package groovy.csv

# Class CsvRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.csv.CsvRuntimeException

All Implemented Interfaces:
  `Serializable`

@Incubating public class CsvRuntimeException extends GroovyRuntimeException
Represents runtime exception occurred when parsing or building CSV

Since:
  6.0.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CsvRuntimeException(String msg)`
  Creates an exception with the supplied detail message.
  `CsvRuntimeException(String msg, Throwable cause)`
  Creates an exception with the supplied detail message and cause.
  `CsvRuntimeException(Throwable cause)`
  Creates an exception that wraps the supplied cause.

- ## Method Summary

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CsvRuntimeException

    public CsvRuntimeException(String msg)
    Creates an exception with the supplied detail message.
    Parameters:
      `msg` - the detail message

  - ### CsvRuntimeException

    public CsvRuntimeException(Throwable cause)
    Creates an exception that wraps the supplied cause.
    Parameters:
      `cause` - the underlying cause

  - ### CsvRuntimeException

    public CsvRuntimeException(String msg, Throwable cause)
    Creates an exception with the supplied detail message and cause.
    Parameters:
      `msg` - the detail message
      `cause` - the underlying cause